# Function mapDXFLineTypeToEsri

- mapDXFLineTypeToEsri(lineTypeName, lineTypeObj):
  | "solid"
  | "dash"
  | "dot"
  | "dash-dot"
  | "long-dash"
  | "long-dash-dot"
  | "short-dash"
  | "short-dash-dot"

- Maps a DXF line type name and definition to a corresponding Esri SimpleLineSymbol style.

  #### Parameters

  - lineTypeName: string

    The name of the DXF line type.

  - lineTypeObj: ILineType

    The DXF line type definition object.

  #### Returns
  | "solid"
  | "dash"
  | "dot"
  | "dash-dot"
  | "long-dash"
  | "long-dash-dot"
  | "short-dash"
  | "short-dash-dot"

  The mapped Esri line style (e.g., "solid", "dash", "dot").